Update problem version 5.5.2.1 to 5.6.0.2 (Request::hasCustomRequestUser())

Permalink 1 user found helpful
Hello,

When I want to update my concrete version 5.5.2.1 to 5.6.0.2 i get the following error message and after that concrete is not usable anymore.

Fatal error: Call to undefined method Request::hasCustomRequestUser() in /home/italia/domains/italialive.nl/public_html/updates/concrete5.6.0.2/concrete/core/models/user.php on line 177

I hope someone can help me with this because i got stucked on it.

Gr. Yorick

impression
View Replies: View Best Answer
impression replied on at Permalink Reply
impression
Anyone with the same problem or who knows how to solve this?
impression replied on at Permalink Reply
impression
Maybe someone of concrete5 who know the answer? I really can't find the problem myself and stucked with it.
codaone replied on at Permalink Reply
codaone
Hello,

I was doing the same upgrade and ended up the same issue. This error came from that I had for some reason under mysitedir/models/ request.php wich was old version of it and it didn't have that method. Deleting (or renaming it) will solve the problem.
Shopimport replied on at Permalink Best Answer Reply
Shopimport
I had to remove my override file of ./libraries/request.php and then start the upgrade manually again withwww.www.mydomain.com/index.php/tools/required/upgrade... and before this I removed all files in files/cache folder.
rainmaker replied on at Permalink Reply
rainmaker
YOU HAVE SAVED MY DAY!! THANK YOU!!